Subject: RE: draft-ietf-pana-usage-scenarios-00.txt

From: George Tsirtsis <[email-masked]>
Date: Thu, 31 Jan 2002 13:23:08 -0500

Yoshi,

You also admit that this draft covers a lot of things that are not in scope
of the WG. Still, as I said, the doc IS useful and as you say a milestone
for the group. I just suggested that the larger scope of this draft be
explicit so it is not confused with actual requirement for PANA protocol
etc...

Thanks
George

-----Original Message-----
From: Yoshihiro Ohba [mailto:[email-masked]]
Sent: Thursday, January 31, 2002 6:10 PM
To: George Tsirtsis
Cc: 'Erik Nordmark'; Yoshihiro Ohba; [email-masked]
Subject: Re: draft-ietf-pana-usage-scenarios-00.txt

George,

On Thu, Jan 31, 2002 at 10:16:42AM -0500, George Tsirtsis wrote:
> Erik, Yoshi,
> 
> I think the draft requirements doc that will come out soon (I hope...we
are
> almost done) also include scope statements.
> 
> I think the usage scenarios I-D describes things that a lot of people have
> thought and talked about in this general area but does not necessarily
> reflect the scope of PANA that has to be very specific and straight
forward.
> 
> I think the usage I-D contains useful information/discussionw but it is a
bit
> confusing as a WG draft since it talks about a lot of things that are
beyond
> of what the WG is actually doing. Maybe its informal relation to the PANA
> working group should be more clearly recognized.

It is a good news that you think the usage I-D contains useful
information/discussion.  Then please send more specific comments to
make it better.

In addition, please recognize that this item is explicitly described
in the WG milestone, and that all the authors including the WG chairs
have been working on this I-D since before the URP BOF in IETF51.

Regards,
Yoshihiro Ohba

> 
> George
> 
> -----Original Message-----
> From: Erik Nordmark [mailto:[email-masked]]
> Sent: Thursday, January 31, 2002 2:28 PM
> To: Yoshihiro Ohba
> Cc: Alexis Olivereau; [email-masked]
> Subject: Re: draft-ietf-pana-usage-scenarios-00.txt
> 
> 
> 
> > Since the usage scenarios I-D mainly describes service models
> > possiblly realized by using PANA, it might include both in-scope
> > issues and out-of-scope issues for PANA.  See the charter for the
> > scope.  Also, the terminology/requirements document will make the
> > scope clearer.
> 
> Hmm - if the usage scenario document does it it would seem to make
> sense to label which scenario or "component" os scenario is in scope for
> PANA. If not utter confusion about scope will contiue to be a problem.
> 
> As an alternative the document could also just specify the things that are
> in
> scope.
> 
>   Erik
>

---

From: Yoshihiro Ohba <[email-masked]>
Date: Thu, 31 Jan 2002 14:00:44 -0500

> explicit so it is not confused with actual requirement for PANA protocol

OK.  I'll add explicit in-scope/out-of-scope statements to the I-D so
that it is consistent with the terminology/requirements I-D.

BTW, you seem to have a good usage scenario on multi-ISP ARs behind 
an AP in section 1.1 of draft-tsirtsis-eap-over-icmp-00.txt.
What do people think about including it in the usage scenarios I-D?

Thanks,
Yoshihiro Ohba

---

From: "Alper Yegin" <[email-masked]>
Date: Thu, 31 Jan 2002 14:23:27 -0800

I'd have preferred a usage scenario draft that is very well aligned with
the requirements draft.

If we want to provide extra scenarios to draw a complete picture
of "network access", possibly hinting at future work, that's fine,
as long as they are explicitely marked as "out of scope" in bold
characters....

But, people should use the requirements draft to figure out the
scope of work to be done in this WG, and use scenarios as illustrations
of how they are used. We should have an explicit text in the usage
scenarios that point to the requirements draft.

(we'll have the requirements and the terminology draft out pretty soon!)

alper

---

From: Yoshihiro Ohba <[email-masked]>
Date: Thu, 31 Jan 2002 17:55:03 -0500

Sure.  

On the other hand, if something is missing in the requirements I-D
to realize the scenarios described in the usage scenarios I-D, 
it should be added to the requirements I-D.

Yoshihiro Ohba

---

From: "Alper Yegin" <[email-masked]>
Date: Thu, 31 Jan 2002 16:11:51 -0800

> it should be added to the requirements I-D.

Sure. Hopefully as a co-author of both, you are helping us with that
too (cross-checking) :)

alper